#ifndef simpleota_h
#define simpleota_h

#include <Arduino.h>
#include <ESP8266WiFi.h>
#include <ESP8266mDNS.h>
#include <WiFiUdp.h>
#include <ArduinoOTA.h>


#define OTA_WIFI_SSID       ""
#define OTA_WIFI_PASSWORD   ""
#define OTA_WAIT_TIMEOUT    50     // in 0.1s increments -> 10s
#define OTA_PASSWORD        "ROLLERCOASTER"  //password needed for ota flashing

//#define OTA_CONTINUOUS


void checkOTA();
bool initOTA();
bool loopOTA();

enum OTA_MODE {
    NONE,
    SEARCHING,
    WAITING,
    UPDATING
};

extern OTA_MODE otaMode;

extern uint16_t otaWaitCounter;

#endif